| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Static Public Member Functions | List of all members
Ogre::GLES2PixelUtil Class Reference

Class to do pixel format mapping between GL and OGRE. More...

`#include <OgreGLES2PixelFormat.h>`

## Static Public Member Functions
static PixelFormat | getClosestOGREFormat (GLenum fmt)
| Function to get the closest matching OGRE format to an internal GL format. More...
static GLenum | getGLInternalFormat (PixelFormat mFormat, bool hwGamma=false)
| Takes the OGRE pixel format and returns the type that must be provided to GL as internal format. More...
static GLenum | getGLOriginDataType (PixelFormat mFormat)
| Takes the OGRE pixel format and returns type that must be provided to GL as data type for reading it into the GPU. More...
static GLenum | getGLOriginFormat (PixelFormat mFormat)
| Takes the OGRE pixel format and returns the appropriate GL one. More...
static void | useSizedFormats ()
| use sized pixel formats. (to be used with GLES3) More...

## Detailed Description

Class to do pixel format mapping between GL and OGRE.

## Member Function Documentation

## ◆ useSizedFormats()

static void Ogre::GLES2PixelUtil::useSizedFormats | ( |  | ) |
| static

use sized pixel formats. (to be used with GLES3)

## ◆ getGLOriginFormat()

static GLenum Ogre::GLES2PixelUtil::getGLOriginFormat | ( | PixelFormat | mFormat | ) |
| static

Takes the OGRE pixel format and returns the appropriate GL one.

Returns
  a GLenum describing the format, or 0 if there is no exactly matching one (and conversion is needed)

## ◆ getGLOriginDataType()

static GLenum Ogre::GLES2PixelUtil::getGLOriginDataType | ( | PixelFormat | mFormat | ) |
| static

Takes the OGRE pixel format and returns type that must be provided to GL as data type for reading it into the GPU.

Returns
  a GLenum describing the data type, or 0 if there is no exactly matching one (and conversion is needed)

## ◆ getGLInternalFormat()

static GLenum Ogre::GLES2PixelUtil::getGLInternalFormat | ( | PixelFormat | mFormat,
|  | bool | hwGamma = `false`
| ) |  |
| static

Takes the OGRE pixel format and returns the type that must be provided to GL as internal format.

GL_NONE if no match exists.

Parameters

  mFormat | The pixel format
  hwGamma | Whether a hardware gamma-corrected version is requested

## ◆ getClosestOGREFormat()

static PixelFormat Ogre::GLES2PixelUtil::getClosestOGREFormat | ( | GLenum | fmt | ) |
| static

Function to get the closest matching OGRE format to an internal GL format.

To be precise, the format will be chosen that is most efficient to transfer to the card without losing precision.

Remarks
  It is valid for this function to always return PF_A8R8G8B8.

The documentation for this class was generated from the following file:

- OgreGLES2PixelFormat.h